import type { PajamasIcon } from "@/types/icons.ts"
import * as m from "@/paraglide/messages"
import * as c from "@/constants.ts"

export interface MyLink {
  title: string;
  url: string;
  message?: string;
  icon?: PajamasIcon
}

export default [
  {
    title: "GitHub",
    url: c.GITHUB_PROFILE_URL,
    icon: "pajamas:github"
  },
  {
    title: "Gitea",
    url: c.GIT_PROFILE_URL,
    message: m.forPersonalProjects(),
    icon: "pajamas:gitea"
  },
  {
    title: "LinkedIn",
    url: c.LINKED_IN_URL,
    icon: "pajamas:linkedin"
  },
  {
    title: "Mastodon (Snabelen)",
    url: c.MASTODON_URL,
    icon: "pajamas:mastodon"
  },
  {
    title: "Pixelfed",
    url: c.PIXELFED_URL
  },
  {
    title: "Steam",
    url: c.STEAM_URL
  },
  {
    title: "Trakt.tv",
    url: c.TRAKT_URL
  }
] satisfies MyLink[]
